Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2017-05-28, 03:04:16

Author Topic: Moving away from old/deprecated mod_fastcgi module  (Read 442 times)

0 Members and 1 Guest are viewing this topic.

Offline fossxplorer

  • Master
  • **
  • Posts: 602
  • Karma: +0/-0
    • View Profile
@Mustafa, please switch to SetHandler (using mod_proxy_fcgi) instead of the ugly and outdates mod_fastcgi with FastCGIExternalServer "/home/kloxo/httpd/cp/aaaaa.com.0fake" -socket /opt/configs/php-fpm/sock/php-apache.sock -idle-timeout 3600 -pass-header Authorization.

With SetHandler and mod_proxy_fcgi it will look like:
<FilesMatch \.php$>
         SetHandler "proxy:fcgi://127.0.0.1:9000"
</FilesMatch>

This will work only with Apache >= 2.4, but i hope there is no need to stay at Apache 2.2 nowadays.
More info at https://blog.remirepo.net/post/2014/03/28/PHP-FPM-and-HTTPD-2.4-improvement




Kloxo-MR!

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 14,490
  • Karma: +105/-8
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Moving away from old/deprecated mod_fastcgi module
« Reply #1 on: 2017-02-06, 17:05:24 »
I am more confident using mod_fastcgi instead mod_proxy_fcgi. There are something wrong with mod_proxy_fcgi if using socket instead port.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline fossxplorer

  • Master
  • **
  • Posts: 602
  • Karma: +0/-0
    • View Profile
Re: Moving away from old/deprecated mod_fastcgi module
« Reply #2 on: 2017-02-07, 14:37:05 »
I understand, but it's old/deprecated and we need to move on istead of being stuck with old stuff
Should not be a problem with sockets using mod_proxy_fcgi either:
<FilesMatch \.php$>
         SetHandler "proxy:unix:/var/run/php-fpm/kloxo.sock|fcgi://localhost"
</FilesMatch>

I use this setup on other servers, no problem at all :)
Kloxo-MR!

Online MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 14,490
  • Karma: +105/-8
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: Moving away from old/deprecated mod_fastcgi module
« Reply #3 on: 2017-02-07, 14:44:46 »
Try select 'proxy_fcgi_event' instead 'php-fpm_event' for 'php-type' under 'webserver configure'.

Mod_fastcgi is not built-in plugin in apache. As I said, mod_fastcgi still better than mod_proxy_fcgi. FYI, all fastcgi under other web servers (like nginx) based on as the same as mod_fastcgi under apache.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

 


MRatWork Affiliates:    BIGRAF(R) Inc.    House of LMAR    EFARgrafix
Click Here

Page created in 0.037 seconds with 18 queries.

web stats analysis